## com.declarativa.interprolog.util
Class ObjectRegistry

    java.lang.Object
      |
      +--com.declarativa.interprolog.util.ObjectRegistry

public class ObjectRegistry
extends Object

Remembers a set of Java objects, allowing access to them by an (integer) ID

Constructor Summary
`ObjectRegistry()`

Method Summary
`Object` `getRealJavaObject(int ID)`
`Object` `getRealJavaObject(InvisibleObject o)`
`int` `registerJavaObject(Object x)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectRegistry

    public ObjectRegistry()

Method Detail

### getRealJavaObject

    public Object getRealJavaObject(InvisibleObject o)

### getRealJavaObject

    public Object getRealJavaObject(int ID)

### registerJavaObject

    public int registerJavaObject(Object x)